#!/bin/ksh
#set -x

PATCH_TYPE="fix pack"
PATCH_NAME="FP410S-03"
IDS_EXE="slapd"
RESTART_MSG=""

myid=$(id | cut -f 2 -d '(' | cut -f 1 -d ')')
if [[ ${myid} != "root" ]]; then
   print "You must be root to uninstall this ${PATCH_TYPE}."
   return 1
fi

if [[ -n ${IDS_EXE} ]]; then
    if [[ ${IDS_EXE} = "ibmslapd" ]]; then
        RESTART_MSG="You can restart ibmdiradm and ibmslapd."
        if ( ps -ef | grep ibmdiradm | grep -v grep ) ; then
           print "ibmdiradm must be stopped before uninstalling this ${PATCH_TYPE}."
           return 1
        fi
    else
        RESTART_MSG="You can restart slapd."
    fi
    
    if ( ps -ef | grep ${IDS_EXE} | grep -v grep ) ; then
       print "${IDS_EXE} must be stopped before uninstalling this ${PATCH_TYPE}."
       return 1
    fi
fi

PATCH_DIR=$(dirname ${0})
cd ${PATCH_DIR}
PATCH_DIR=$(pwd)

if [[ ! -a data/UNDO.tar.Z ]]; then
   print "${PATCH_DIR}/data/UNDO.tar.Z cannot be found."
   print "The original files cannot be restored."
   return 1
fi

print "Uninstalling ${PATCH_TYPE} files ..."
cd /opt
( rm -rf IBMldapc/bin/${PATCH_NAME}* 2>&1 ) >/dev/null
compress -cd ${PATCH_DIR}/data/UNDO.tar.Z | tar xf - 
if [[ $? -ne 0 ]]; then
   print "IBM Directory Server could not be restored to it's previous version"
   print "Please manually restore the backup files from ${PATCH_DIR}/data/UNDO.tar.Z"
else
   print "IBM Directory Server has been restored to it's previous version."
   print ${RESTART_MSG}
fi

return 0
